MEMORY
{
	/* Load at a classic 64bit addr*/
	/* Could be replace by . = 0x8000; before .text*/
	RAM (rwx) : ORIGIN = 0x80000, LENGTH = 0x10000000
}

SECTIONS
{
	.text : { *(.text.boot)
		  *(.text)
	  }
	.rodata : { *(.rodata .rodata.*) }
	.data : { *(.data .data.*) }

	.bss (NOLOAD):
	{
		__bss_start = ALIGN(16);
		*(.bss .bss.*)
		__bss_end = ALIGN(16);
	}
	__end =.;

	. = ALIGN(16);
	. += 0x1000;
	__stack_start = .;

	/DISCARD/ :
	{
		*(.comment) *(.gnu) *(.note*) *(.eh_frame*)
	}

	__bss_size = (__bss_end - __bss_start) >> 3;
}
